package de.frajul.endlessroll.entities.particles.attributes.attributeValues;

import de.frajul.endlessroll.data.Color;

public class TintTimelinePoint {

    private float time;
    private Color color;

    public float getTime() {
        return time;
    }

    public void setTime(float time) {
        this.time = time;
    }

    public Color getColor() {
        return color;
    }

    public void setValue(int colorIndex, float value) {
        if (color == null)
            color = new Color();
        if (colorIndex == 0)
            color.setR(value);
        else if (colorIndex == 1)
            color.setG(value);
        else if (colorIndex == 2)
            color.setB(value);
    }

}